System 2.0.0.0 4.0.0.0 System.Object

The object has a global error status called that should be used for certificate validation. The rules governing certificate validation are complex, and it is easy to oversimplify the validation logic by ignoring the error status of one or more of the elements involved. The global error status takes into consideration the status of each element in the chain.

Represents a chain-building engine for certificates.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor can be used when the user profile is not loaded and the machine context needs to be used. When the parameter is set to true, the local machine context (HCCE_LOCAL_MACHINE flag) is used to create the chain. If the parameter is set to false, the current user context (HCCE_CURRENT_USER flag) is used.

  Initializes a new instance of the class specifying a value that indicates whether the machine context should be used.

  true to use the machine context; false to use the current user context.
- Constructor
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Mono's X509Chain is fully managed. All handles are invalid.")

  Use this constructor to provide compatibility with the unmanaged Microsoft Cryptographic API (CAPI).

  Initializes a new instance of the class using an handle to an X.509 chain.

  An handle to an X.509 chain.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Not totally RFC3280 compliant, but neither is MS implementation...")
  System.Boolean ``

  Note that a valid X.509 certificate from a trusted issuer is valid only for the use specified in the object. Certificates that meet these chain policy rules might still be invalid for specific uses with such features as Security/MIME (SMIME), Authenticode, or Secure Sockets Layer (SSL). If further processing is required to determine whether the certificate is valid for a specific policy, derive a class from and override the method so that it calls the base class Build method first, and then does the additional processing.

  Builds an X.509 chain using the policy specified in .

  true if the X.509 certificate is valid; otherwise, false.

  An object.
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO("Mono's X509Chain is fully managed. Always returns IntPtr.Zero.")
  System.IntPtr To be added.

  Use this property to return a handle that is compatible with the unmanaged Microsoft Cryptographic API (CAPI).

  Gets a handle to an X.509 chain.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainElementCollection To be added.

  Each object is a representation of an element in the chain that was built during a call to the method.

  A chain element consists of an object, an structure, and an extra information string (available only on Windows XP platforms).

  Gets a collection of objects.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainPolicy To be added.

  Use this property to set chain policy. For example, you can specify the Enhanced Key Usage (EKU) for which the chain should be validated, or specify revocation checking.

  Gets or sets the to use when building an X.509 certificate chain.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509ChainStatus[] To be added.

  Use this property to get detailed error information for the status of the chain.

  Gets the status of each element in an object.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Chain

  By default, this method will create an X.509 chain. You can also use this method when the default chain-building engine is overridden in the Machine.config file. Note that for compatibility, any chain engine must attempt to honor the call and return semantics of the default chain engine.

  Creates an object after querying for the mapping defined in the CryptoConfig file, and maps the chain to that mapping.

  An object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Clears the current object.